Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
GIMP 2.10.14 Released
#1
Apologies for not posting this in the 2.10 category, but I cannot seem to post new threads there...

GIMP 2.10.14 is now released!
https://www.gimp.org/news/2019/10/31/gim...-released/

A basic summary of release highlights:
  • Basic out-of-canvas pixels viewing and editing
  • Optional editing of layers with disabled visibility
  • Foreground Select tool: new Grayscale Preview Mode
  • Newly added Normal Map filter
  • 27 old filters ported to use GEGL buffers
  • HEIF, TIFF, and PDF support improvements
  • Better loading of corrupted XCF files
  • Grayscale workflows order of magnitude faster
  • macOS Catalina compatibility
  • 45 bugfixes, 22 translation updates
See the release news post for details.
Reply
#2
Alas not for us 'buntu / Mint 19 users Wink PPA Gimp 2.10.14 compile failed.

[Image: udaziow.jpg]

Dare say it will get there eventually, was a couple of weeks for (bionic) Gimp 2.10.12
Reply
#3
One bug reported fixed is still open (#3532)
Reply
#4
Very cool normal map filter that works in high bit depth. It has been a real pain dealing with the old normal map filter and the insane bump filters. Also seems like I have to check the Y flip option to make it work for Blender
Reply
#5
The updated Gimp 2.10.14 packages are now there in the 'buntu PPA https://launchpad.net/~otto-kesselgulasc...buntu/gimp

There is a problem with the python support package, if you are in no hurry to upgrade, stay with Gimp 2.10.12

   

I am sure this will be fixed eventually. If you are really keen to use Gimp 2.10.14 then this procedure

Update the repo list 
Code:
sudo apt update

Remove existing gimp-python
Code:
sudo apt --purge remove gimp-python

Install (update) Gimp and dependencies
Code:
sudo apt install gimp  libbabl-0.1-0 libgegl-0.4-0

Force the gimp-python installation
Code:
sudo apt -o Dpkg::Options::="--force-overwrite" install gimp-python
Reply
#6
Thanks Rich  for the info.
Ran into the same issue and was wondering where the fault is.
Good to know it's not only me.

Cheers
nelo
Reply
#7
I emailed Thorsten Stettin about the error and just got this:

quote Oops, sorry, I will fix this issue in the next hours, I hope.

edit:
Checked and the problem has been fixed. Updated Gimp 2.10.14 packages are there.
Reply
#8
seems to be fixed now. Could install ok on one machine.
Reply


Forum Jump: